package com.bbitcn.silk.model.net;

import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 * @Description TODO
 * @Author DuanKaiji
 * @CreateTime 2024年04月03日 08:59:59
 */
public class QueryList {

    @SerializedName("result")
    private Boolean result;
    @SerializedName("msg")
    private String msg;
    @SerializedName("pageinfo")
    private PageinfoDTO pageinfo;
    @SerializedName("data")
    private List<DataDTO> data;

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public PageinfoDTO getPageinfo() {
        return pageinfo;
    }

    public void setPageinfo(PageinfoDTO pageinfo) {
        this.pageinfo = pageinfo;
    }

    public List<DataDTO> getData() {
        return data;
    }

    public void setData(List<DataDTO> data) {
        this.data = data;
    }

    public static class PageinfoDTO {
        @SerializedName("Paged")
        private Boolean paged;
        @SerializedName("Page")
        private Integer page;
        @SerializedName("Limit")
        private Integer limit;
        @SerializedName("Count")
        private Integer count;
        @SerializedName("PageCount")
        private Integer pageCount;

        public Boolean getPaged() {
            return paged;
        }

        public void setPaged(Boolean paged) {
            this.paged = paged;
        }

        public Integer getPage() {
            return page;
        }

        public void setPage(Integer page) {
            this.page = page;
        }

        public Integer getLimit() {
            return limit;
        }

        public void setLimit(Integer limit) {
            this.limit = limit;
        }

        public Integer getCount() {
            return count;
        }

        public void setCount(Integer count) {
            this.count = count;
        }

        public Integer getPageCount() {
            return pageCount;
        }

        public void setPageCount(Integer pageCount) {
            this.pageCount = pageCount;
        }
    }

    public static class DataDTO {
        @SerializedName("CzSysid")
        private String czSysid;
        @SerializedName("CzCode")
        private String czCode;
        @SerializedName("NhName")
        private String nhName;
        @SerializedName("StatusCode")
        private Integer statusCode;
        @SerializedName("Status")
        private String status;
        @SerializedName("Items")
        private List<ItemsDTO> items;

        public String getCzSysid() {
            return czSysid;
        }

        public void setCzSysid(String czSysid) {
            this.czSysid = czSysid;
        }

        public String getCzCode() {
            return czCode;
        }

        public void setCzCode(String czCode) {
            this.czCode = czCode;
        }

        public String getNhName() {
            return nhName;
        }

        public void setNhName(String nhName) {
            this.nhName = nhName;
        }

        public Integer getStatusCode() {
            return statusCode;
        }

        public void setStatusCode(Integer statusCode) {
            this.statusCode = statusCode;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public List<ItemsDTO> getItems() {
            return items;
        }

        public void setItems(List<ItemsDTO> items) {
            this.items = items;
        }

        public static class ItemsDTO {
            @SerializedName("SgTypeSysid")
            private String sgTypeSysid;
            @SerializedName("SgTypeName")
            private String sgTypeName;
            @SerializedName("AllowEditPrice")
            private Integer allowEditPrice;
            @SerializedName("Baoshu")
            private Integer baoshu;
            @SerializedName("Maozhong")
            private Double maozhong;
            @SerializedName("Pizhong")
            private Double pizhong;
            @SerializedName("Kouzhong")
            private Double kouzhong;
            @SerializedName("Jingzhong")
            private Double jingzhong;
            @SerializedName("Price")
            private Double price;
            @SerializedName("Jine")
            private Double jine;

            public String getSgTypeSysid() {
                return sgTypeSysid;
            }

            public void setSgTypeSysid(String sgTypeSysid) {
                this.sgTypeSysid = sgTypeSysid;
            }

            public String getSgTypeName() {
                return sgTypeName;
            }

            public void setSgTypeName(String sgTypeName) {
                this.sgTypeName = sgTypeName;
            }

            public Integer getAllowEditPrice() {
                return allowEditPrice;
            }

            public void setAllowEditPrice(Integer allowEditPrice) {
                this.allowEditPrice = allowEditPrice;
            }

            public Integer getBaoshu() {
                return baoshu;
            }

            public void setBaoshu(Integer baoshu) {
                this.baoshu = baoshu;
            }

            public Double getMaozhong() {
                return maozhong;
            }

            public void setMaozhong(Double maozhong) {
                this.maozhong = maozhong;
            }

            public Double getPizhong() {
                return pizhong;
            }

            public void setPizhong(Double pizhong) {
                this.pizhong = pizhong;
            }

            public Double getKouzhong() {
                return kouzhong;
            }

            public void setKouzhong(Double kouzhong) {
                this.kouzhong = kouzhong;
            }

            public Double getJingzhong() {
                return jingzhong;
            }

            public void setJingzhong(Double jingzhong) {
                this.jingzhong = jingzhong;
            }

            public Double getPrice() {
                return price;
            }

            public void setPrice(Double price) {
                this.price = price;
            }

            public Double getJine() {
                return jine;
            }

            public void setJine(Double jine) {
                this.jine = jine;
            }
        }
    }
}
